import java.sql.*;

public class JDBCExampleToMysql {
	public static void main(String[] args) {
		if(args.length < 1) {
			System.err.println("Usage : ");
			System.err.println("java JDBCExample <db server hostname>");
			System.exit(1);
		}
		
		String serverName = args[0];
		
		try {
			Class.forName("com.mysql.jdbc.Driver");
			String url = "jdbc:mysql://" + serverName + ":3306/sample";
			Connection MySQLcon = DriverManager.getConnection(url, "root", "1234");
			Statement stmt = MySQLcon.createStatement();
			ResultSet rs = stmt.executeQuery("SELECT * FROM TB_ADDRESS");
			
			while(rs.next()) {
				System.out.println("");
				System.out.println("Name	: " + rs.getString(1));
				System.out.println("Address	: " + rs.getString(2));
				System.out.println("Phone	: " + rs.getString(3));
			}
		} catch(SQLException e) {
			e.printStackTrace();
		}
		catch(ClassNotFoundException e) {
			e.printStackTrace();
		}
	}
}
